> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# OtherUsers

> Concrete provider for 'Other' Users - System and Anonymous user accounts. See <see cref="T -SuperOffice.CRM.ArchiveLists.UsersProviderBase" /> for

## "OtherUsers"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.OtherUsersProvider">SuperOffice.CRM.ArchiveLists.OtherUsersProvider</see> inside NetServer's SODatabase assembly.

Concrete provider for 'Other' Users - System and Anonymous user accounts. See <see cref="T:SuperOffice.CRM.ArchiveLists.UsersProviderBase" /> for
the actual functionality of the provider.

## Supported Entities

| Name                                     | Description                                |
| ---------------------------------------- | ------------------------------------------ |
| "all"                                    | All                                        |
| "superoffice\_system-user-cal"           | System user                                |
| "superoffice\_visible-for"               | Confidential activities                    |
| "superoffice\_superlicense-no-selection" | (No Selection)                             |
| "superoffice\_ten-sales"                 | Sales Premium                              |
| "superoffice\_ten-service"               | Service Premium                            |
| "superoffice\_ten-marketing"             | Marketing Premium                          |
| "superoffice\_ten-salesservicemarketing" | SalesPremiumServicePremiumMarketingPremium |
| "expired"                                | Expired                                    |

## Supported Columns

| Name                                   | Restriction | Description                                                                                | OrderBy |
| -------------------------------------- | ----------- | ------------------------------------------------------------------------------------------ | ------- |
| getAllRows                             | bool        | GetAll: Get all rows of archive - use with care, you may be fetching the whole database    |         |
| getNoRows                              | bool        | GetNone: Do not get any rows from the archive                                              |         |
| userplan                               | *None*      | User plan: User plan (licence)                                                             |         |
| canLogin                               | bool        | Can log in: Can log in                                                                     |         |
| superoffice\_system-user-cal           | *None*      | System user: Allows log in to NetServer                                                    |         |
| superoffice\_visible-for               | *None*      | Confidential activities: Enables the visible-for dropdown in the CRM client                |         |
| superoffice\_superlicense-no-selection | *None*      | No Selection: User Plan: License Not in Use.                                               |         |
| superoffice\_ten-sales                 | *None*      | Sales Premium: User Plan: Can edit Companies, Diary, Sales, Selections, Reports            |         |
| superoffice\_ten-service               | *None*      | Service Premium: User Plan: Can edit Requests                                              |         |
| superoffice\_ten-marketing             | *None*      | Marketing Premium: User Plan: Can send Mailings, Combined Selections                       |         |
| superoffice\_ten-salesservicemarketing | *None*      | SalesPremiumServicePremiumMarketingPremium: User Plan: Can edit sales, requests, mailings. |         |
| associateDbId                          | associate   | ID                                                                                         | x       |
| usergroupId                            | int         | Group ID: The user's primary user group                                                    | x       |
| role                                   | listAny     | Role : Role                                                                                | x       |
| assocName                              | associate   | User ID : User ID                                                                          | x       |
| assocTooltip                           | string      | Description : Description                                                                  |         |
| assocType                              | listAny     | Type: Type of user: associate, external user, system user, anonymous account               | x       |
| credentialType                         | *None*      | Auth. type: What type of credentials to use when this user logs in                         | x       |
| credentialDisplayValue                 | *None*      | Auth. value: Credential value (public, visible part) to be used when this user logs in     | x       |
| isActive                               | bool        | Active: Is this user active, and should be able to log in?                                 | x       |
| isActiveText                           | bool        | Active status: Is this user active, and should be able to log in?                          | x       |
| portraitThumbnail                      | *None*      | Person image: Person image                                                                 |         |
| otherGroups                            | userGroup   | Other groups: Other groups                                                                 |         |
| userName                               | string      | User name: User name                                                                       | x       |
| personEmail                            | string      | E-mail                                                                                     | x       |
| locationAddress                        | string      | Location: Location                                                                         | x       |
| isLocation                             | bool        | Is a location: Is a location                                                               | x       |

## Sample

```http! theme={null}
GET /api/v1/archive/OtherUsers?$select=superoffice_ten-marketing,role
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [NSUser](/en/automation/crmscript/reference/CRMScript.NetServer.NSUser.md)
- [SuperOffice.WebApi.Data.User](/en/api/reference/webapi/SuperOffice.WebApi.Data.User.md)
- [Users](/en/admin/user-management/index.md)
- [User](/en/automation/crmscript/reference/CRMScript.Native.User.md)
- [Add users](/en/admin/user-management/add-associate.md)
- [Which user to use](/en/api/authentication/online/which-user-to-use.md)
